Bug 1289860 - Review Request: emacs-php-mode - Major GNU Emacs mode for editing PHP code
Review Request: emacs-php-mode - Major GNU Emacs mode for editing PHP code
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
: Reopened
: 751749 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 03:27 EST by Petr Hracek
Modified: 2016-01-04 14:53 EST (History)
5 users (show)

See Also:
Fixed In Version: emacs-php-mode-1.17.0-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 13:51:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonathan.underwood: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Hracek 2015-12-09 03:27:17 EST
Spec URL: https://phracek.fedorapeople.org/emacs-php-mode.spec
SRPM URL: https://phracek.fedorapeople.org/emacs-php-mode-1.5.0-1.fc23.src.rpm
Description: Major GNU Emacs mode for editing PHP code
Fedora Account System Username: phracek

PHP mode is currently packaged directly in the emacs package. It should be packaged separately, as it comes from a standalone upstream providing proper releases. (This package is intended for Rawhide only.)

$ rpmlint /home/phracek/rpmbuild/SRPMS/emacs-php-mode-1.5.0-1.fc23.src.rpm
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
$
Comment 1 Petr Hracek 2015-12-09 03:32:39 EST
Old package review request:
https://bugzilla.redhat.com/show_bug.cgi?id=751749
Comment 2 Petr Hracek 2015-12-09 04:28:30 EST
I have executed Fedora Review and results are:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in
     /home/phracek/work/Fedora/1289860-emacs-php-mode/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Texinfo files are installed using install-info in %post and %preun if
     package has .info files.
     Note: Texinfo .info file(s) in emacs-php-mode
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: emacs-php-mode-1.5.0-1.fc23.noarch.rpm
          emacs-php-mode-1.5.0-1.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 3 Jonathan Underwood 2015-12-09 06:46:05 EST
Small point, but in order to preserve timestamps, you need to use the -p flag to install.
Comment 4 Jonathan Underwood 2015-12-09 06:50:49 EST
Also, it seems that upstream is now here:

https://github.com/ejmr/php-mode/releases

which has much more recent releases than the one packaged.
Comment 5 Petr Hracek 2015-12-09 07:22:36 EST
I am gonna to apply changes.
Give me a moment.
Comment 6 Thomas Spura 2015-12-09 07:59:38 EST
*** Bug 751749 has been marked as a duplicate of this bug. ***
Comment 8 Jonathan Underwood 2015-12-09 08:40:21 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

In addition to the parallel make issue detailed in the review below:

1) This part of php-mode-init.el:

(add-to-list 'auto-mode-alist
             '("\\.php[34]\\'\\|\\.php\\'\\|\\.phtml\\'" . php-mode))

Seems unneeded as it duplicates what's found at the end of php-mode.el

2) As per the installation instructions on the upstream site, it might be worth adding this to the php-mode-init.el file:

(eval-after-load 'php-mode
  '(require 'php-ext))

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 59 files have
     unknown license. Detailed output of licensecheck in
     /home/jgu/Fedora/1289860-emacs-php-mode/licensecheck.txt

---> These are the test files without license headers - not a problem.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.

This should be fixed, but will make next to no difference, of course.

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: emacs-php-mode-1.17.0-1.fc24.noarch.rpm
          emacs-php-mode-1.17.0-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
emacs-php-mode (rpmlib, GLIBC filtered):
    /bin/sh
    /sbin/install-info
    emacs(bin)



Provides
--------
emacs-php-mode:
    emacs-php-mode



Source checksums
----------------
https://github.com/ejmr/php-mode/archive/v1.17.0.tar.gz :
  CHECKSUM(SHA256) this package     : 4393e452e7ade8b7479a3b942b985a9495f6a961b443308718756038d21c231d
  CHECKSUM(SHA256) upstream package : 4393e452e7ade8b7479a3b942b985a9495f6a961b443308718756038d21c231d


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1289860
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 Jonathan Underwood 2015-12-09 09:09:01 EST
You don't seem to have dealt with the parallel make issue raised in the review, and the second line of the spec changelog entry doesn't make much sense.
Comment 11 Petr Hracek 2015-12-09 09:20:24 EST
Sorry.
Comment 12 Jonathan Underwood 2015-12-09 09:38:48 EST
Also, this seems unecessary now there is a Makefile:

%_emacs_bytecompile php-mode.el
Comment 13 Jonathan Underwood 2015-12-09 12:48:56 EST
And, also your first invocation is still missing the -p flag.
Comment 14 Petr Hracek 2015-12-10 04:58:25 EST
I have updated source based on your proposals.
It contains -p flag, bytecompile is removed.

Spec URL: https://phracek.fedorapeople.org/emacs-php-mode.spec
SRPM URL: https://phracek.fedorapeople.org/emacs-php-mode-1.17.0-3.fc23.src.rpm

Thanks for your review.
Comment 15 Jonathan Underwood 2015-12-10 06:41:18 EST
OK, great! This is APPROVED. Thanks for taking the time to package this, I for one very much appreciate it.

Please please do replace make all with make %{?_smp_mflags} all, or add a comment why that doesn't work if you choose to leave it as is.

https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make
Comment 16 Gwyn Ciesla 2015-12-10 10:30:15 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/emacs-php-mode
Comment 17 Fedora Update System 2015-12-11 03:36:19 EST
emacs-php-mode-1.17.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6f5065fb9c
Comment 19 Fedora Update System 2015-12-11 03:49:59 EST
emacs-php-mode-1.17.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-249309599b
Comment 20 Fedora Update System 2015-12-11 22:20:03 EST
emacs-php-mode-1.17.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update emacs-php-mode'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-249309599b
Comment 21 Fedora Update System 2015-12-11 22:23:27 EST
emacs-php-mode-1.17.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update emacs-php-mode'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6f5065fb9c
Comment 22 Fedora Update System 2015-12-14 04:40:59 EST
emacs-php-mode-1.17.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-43531a9251
Comment 23 Fedora Update System 2015-12-14 04:41:36 EST
emacs-php-mode-1.17.0-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-40337a0d77
Comment 24 Fedora Update System 2015-12-15 05:54:54 EST
emacs-php-mode-1.17.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update emacs-php-mode'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-43531a9251
Comment 25 Fedora Update System 2015-12-18 05:05:10 EST
emacs-php-mode-1.17.0-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-277be10034
Comment 26 Fedora Update System 2015-12-18 05:18:57 EST
emacs-php-mode-1.17.0-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c31748ae5d
Comment 27 Fedora Update System 2015-12-19 15:00:49 EST
emacs-php-mode-1.17.0-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update emacs-php-mode'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-277be10034
Comment 28 Fedora Update System 2015-12-22 10:36:20 EST
emacs-php-mode-1.17.0-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c31748ae5d
Comment 29 Fedora Update System 2016-01-04 13:51:45 EST
emacs-php-mode-1.17.0-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-01-04 14:53:12 EST
emacs-php-mode-1.17.0-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.